> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Start browser device authorization



## OpenAPI

````yaml /openapi.json post /api/v1/device-authorizations
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/device-authorizations:
    post:
      summary: Start browser device authorization
      operationId: createDeviceAuthorization
      responses:
        '201':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceAuthorizationCreate'
        '429':
          description: Rate limited
      security: []
components:
  schemas:
    DeviceAuthorizationCreate:
      type: object
      properties:
        code:
          type: string
          minLength: 8
        verificationUri:
          type: string
          format: uri
      required:
        - code
        - verificationUri
      additionalProperties: false

````